%define _tftpboot %{_var}/lib/tftpboot/
%define win_inf_dir %{_tftpboot}/winos/inf/

Name:           ris-linux
Version:        0.4
Release:        5%{?dist}
Summary:        RIS for Linux - Boot winpe from the net / Ris Windows Installation
Group:          Applications/System
License:        GPLv2+
URL:            http://oss.netfarm.it/guides/pxe.php
Source0:        http://oss.netfarm.it/guides/%{name}-%{version}.tar.gz
Source1:        ris-linuxd.init
Source2:        ris-linuxd.sysconfig
Source3:        ris-linuxd.smb.conf.sample
Source4:        ris-linuxd.README
Source5:        ris-linuxd.tftpd.rules
Source6:        ris-linuxd.tftpd.xinetd
Source7:        ris-linuxd.sh
Patch1:         ris-linux-0.4-basepath.patch
Patch2:         ris-linux-0.4-pidfile.patch
Patch3:         ris-linux-0.4-locations.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python(abi) >= 2.1

Requires:       python(abi) >= 2.1
Requires:       samba
Requires:       tftp-server

Requires(post): chkconfig, python
Requires(preun):chkconfig, initscripts
Requires(postun):initscripts

%description
Windows Remote Installation Services for Linux - Boot Windows Preinstallation
Environments from the net.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/%{name}/
mkdir -p %{buildroot}/%{_initrddir}/
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig/
mkdir -p %{buildroot}/%{_sbindir}/
install -pm 755 %{SOURCE7} %{buildroot}/%{_sbindir}/%{name}d
install -pm 755 *.py %{buildroot}/%{_datadir}/%{name}/.
install -pm 755 %{SOURCE1} %{buildroot}/%{_initrddir}/%{name}d
install -pm 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}d
cp -a %{SOURCE3} smb.conf.sample
cp -a %{SOURCE4} README
cp -a %{SOURCE5} tftpd.rules
cp -a %{SOURCE6} tftpd.xinetd

%clean
rm -rf %{buildroot}

%post
chkconfig --add %{name}d

if [ -d "%{win_inf_dir}" ]; then
    cd %{_datadir}/%{name}/
    python %{_datadir}/%{name}/infparser.py %{win_inf_dir}
fi

%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service %{name}d condrestart >/dev/null 2>&1 || :
fi

%preun
if [ $1 = 0 ] ; then
    /sbin/service %{name}d stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}d
fi

%files
%defattr(-,root,root,-)
%doc README contrib.txt smb.conf.sample tftpd.rules tftpd.xinetd winpe.sif
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_initrddir}/%{name}d
%{_sbindir}/%{name}d
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}d

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 14 2009 Jeroen van Meeuwen <kanarip@kanarip.com> - 0.4-4
- Rebuild for review (#469052)

* Fri Dec 05 2008 Jeroen van Meeuwen <kanarip@fedoraproject.org> - 0.4-3
- Tune some of the init scripts and sysconfig settings

* Mon Nov 3 2008 Jeroen van Meeuwen <kanarip@fedoraproject.org> - 0.4-2
- Improve post, preun and postun scriptlets (#469052)
- Improve macro usage (#469052)
- Improve init script

* Mon Sep 1 2008 Jeroen van Meeuwen <kanarip@fedoraproject.org> - 0.4-1
- Initial package
